ERF(3)

NAME
erf, erff, erfl, erfc, erfcf, erfcl - error function operators

LIBRARY
libm

SYNOPSIS
#include <math.h>
double
erf(double x);
float
erff(float x);
long double
erfl(long double x);
double
erfc(double x);
float
erfcf(float x);
long double
erfcl(long double x);

DESCRIPTION
These functions calculate the error function of x.

The erf() calculates the error function of x; where

erf(x) = 2/sqrt(pi)*integral from 0 to x of exp(-t*t) dt.

The erfc() function calculates the complementary error function of x; that is erfc() subtracts the result of the error function erf(x) from 1.0. This is useful, since for large x places disappear.

SEE ALSO
math(3)

HISTORY
The erf() and erfc() functions appeared in 4.3BSD.